## com.thingmagic
Enum SerialReader.TransportType

    java.lang.Object
      java.lang.Enum<SerialReader.TransportType>
          com.thingmagic.SerialReader.TransportType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SerialReader.TransportType>

Enclosing class:
  SerialReader

    public static enum SerialReader.TransportType

extends java.lang.Enum<SerialReader.TransportType>

Enum Constant Summary
`SOURCESERIAL`
`SOURCEUNKNOWN`
`SOURCEUSB`

Method Summary
`static SerialReader.TransportType` `get(int value)`
`int` `getCode()`
`static SerialReader.TransportType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SerialReader.TransportType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SOURCESERIAL

    public static final SerialReader.TransportType SOURCESERIAL

### SOURCEUSB

    public static final SerialReader.TransportType SOURCEUSB

### SOURCEUNKNOWN

    public static final SerialReader.TransportType SOURCEUNKNOWN

Method Detail

### values

    public static SerialReader.TransportType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SerialReader.TransportType c : SerialReader.TransportType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SerialReader.TransportType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getCode

    public int getCode()

### get

    public static SerialReader.TransportType get(int value)